跳到主要内容

Image Generation Video (Create Task)

POST 

/api/v5/video/generate

Call this interface to create a video generation task. If there is no exception, the asynchronous video result can be queried using the requestId.

Request​

Header Parameters

    Authorization stringrequired

    User Personal Token

Body

    img_urlstringrequired

    Supports input of Base64 or image URL

    Example: https://cdn-static.gitcode.com/_nuxtaihub/chatexample_67.png
    modelstringrequired

    Model Name

    Example: Wan2.2-I2V-A14B
    promptstringrequired

    Prompt words

    Example: The kitten is taking a walk.
    seedint64

    Random seed, range 0-2147483648

    Default value: 0
    Example: 0

Responses​

Response Headers
    Schema
      request_idstring

      Request ID

      statusstring

      Processing Status

      Example: running
      error_messagestring

      Error message (appears only when an exception occurs)